DIRNAME(1)

BEZEICHNUNG
dirname - letzte Komponente des Dateinamens entfernen

ÜBERSICHT
dirname OPTION NAME…

BESCHREIBUNG

Gibt jeden NAME mit der letzten Komponente aus, die keinen Schrägstrich enthält und entfernt nachfolgende Schrägstriche; enthält der NAME kein »/«, wird ».« ausgegeben (entspricht dem aktuellen Verzeichnis).

-z, --zero
    Jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs abschließen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

BEISPIELE

dirname /usr/bin/
    -> "/usr"

dirname dir1/str dir2/str
    -> »dir1«, gefolgt von »dir2«

dirname stdio.h
    -> "."

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von dirname an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
basename(1), readlink(1)

Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/dirname>
oder lokal verfügbar mit: info '(coreutils) dirname invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.